#include "dnsmngr.h"

int get_client_enable(char *refparam, struct dmctx *ctx, void *data, char *instance, char **value)
{
        *value = dmstrdup("1");
        return 0;
}

int get_client_status(char *refparam, struct dmctx *ctx, void *data, char *instance, char **value)
{
	*value = dmstrdup("Enabled");
	return 0;
}

int get_relay_enable(char *refparam, struct dmctx *ctx, void *data, char *instance, char **value)
{
	*value = dmstrdup("1");
	return 0;
}

int get_relay_status(char *refparam, struct dmctx *ctx, void *data, char *instance, char **value)
{
        *value = dmstrdup("Enabled");
        return 0;
}

int set_client_enable(char *refparam, struct dmctx *ctx, void *data, char *instance, char *value, int action)
{
	bbfdm_set_fault_message(ctx, "Cannot be set when unbound is used as DNS backend (always enabled).");
	return FAULT_9008;
}

int set_relay_enable(char *refparam, struct dmctx *ctx, void *data, char *instance, char *value, int action)
{
	bbfdm_set_fault_message(ctx, "Cannot be set when unbound is used as DNS backend (always enabled).");
	return FAULT_9008;
}
